Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.categorization.model
Interface VAction

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VActionImpl

    public interface VAction

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Action'.

The following features are supported:

- `Bundle`
- `Class Name`

See Also:
  `VCategorizationPackage.getAction()`

Method Summary
`String` | `getBundle()` Returns the value of the 'Bundle' attribute.
`String` | `getClassName()` Returns the value of the 'Class Name' attribute.
`void` | `setBundle(String value)` Sets the value of the '`Bundle`' attribute.
`void` | `setClassName(String value)` Sets the value of the '`Class Name`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBundle

    String getBundle()

  Returns the value of the 'Bundle' attribute.

  If the meaning of the 'Bundle' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Bundle' attribute.
  See Also:
    `setBundle(String)`, `VCategorizationPackage.getAction_Bundle()`

### setBundle

    void setBundle(String value)

  Sets the value of the '`Bundle`' attribute.

  Parameters:
    `value` - the new value of the 'Bundle' attribute.
  See Also:
    `getBundle()`

### getClassName

    String getClassName()

  Returns the value of the 'Class Name' attribute.

  If the meaning of the 'Class Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Class Name' attribute.
  See Also:
    `setClassName(String)`, `VCategorizationPackage.getAction_ClassName()`

### setClassName

    void setClassName(String value)

  Sets the value of the '`Class Name`' attribute.

  Parameters:
    `value` - the new value of the 'Class Name' attribute.
  See Also:
    `getClassName()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.